﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// 空白頁項目範本已記錄在 https://go.microsoft.com/fwlink/?LinkId=234238

namespace i8088W_Basic_Info_Csharp.Pages
{
    /// <summary>
    /// 可以在本身使用或巡覽至框架內的空白頁面。
    /// </summary>
    public sealed partial class I9088_Power_On : Page
    {
        Int16 slot = 0;
        public I9088_Power_On()
        {
            this.InitializeComponent();
        }
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            slot = (Int16)e.Parameter;
        }

        private void Set_btn_Click(object sender, RoutedEventArgs e)
        {
            pac8088WNet.pac8088W.SetPowerOnMode(slot, (Int16)Power_mode_cbx.SelectedIndex);
            pac8088WNet.pac8088W.WritePowerOnValue(slot,UInt16.Parse(Power_value_txt.Text,System.Globalization.NumberStyles.HexNumber));
        }
    }
}
