﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// 空白頁項目範本已記錄在 https://go.microsoft.com/fwlink/?LinkId=234238

namespace i8088W_Basic_Info_Csharp.Pages
{
    /// <summary>
    /// 可以在本身使用或巡覽至框架內的空白頁面。
    /// </summary>
    public sealed partial class I9088_Basic : Page
    {
        Int16 slot = 0;
        TextBox[] FREQ_txt;
        TextBox[] Duty_txt;
        ComboBox[] Mode_cbx;
        TextBox[] Burst_txt;
        CheckBox[] SYNC_ckb;
        Button[] Set_btn;
        Button[] Start_btn;
        TextBox[] PWM_txt;
        Button[] State_btn;
        public I9088_Basic()
        {
            Int16 i = 0;
            this.InitializeComponent();
            FREQ_txt = new TextBox[16] { F0_txt, F1_txt, F2_txt, F3_txt, F4_txt, F5_txt, F6_txt, F7_txt, F8_txt, F9_txt, F10_txt, F11_txt, F12_txt, F13_txt, F14_txt, F15_txt };
            Duty_txt = new TextBox[16] { D0_txt, D1_txt, D2_txt, D3_txt, D4_txt, D5_txt, D6_txt, D7_txt, D8_txt, D9_txt, D10_txt, D11_txt, D12_txt, D13_txt, D14_txt, D15_txt };
            Mode_cbx = new ComboBox[16] { M0_cbx, M1_cbx, M2_cbx, M3_cbx, M4_cbx, M5_cbx, M6_cbx, M7_cbx, M8_cbx, M9_cbx, M10_cbx, M11_cbx, M12_cbx, M13_cbx, M14_cbx, M15_cbx };
            Burst_txt = new TextBox[16] { B0_txt, B1_txt, B2_txt, B3_txt, B4_txt, B5_txt, B6_txt, B7_txt, B8_txt, B9_txt, B10_txt, B11_txt, B12_txt, B13_txt, B14_txt, B15_txt };
            SYNC_ckb = new CheckBox[16] { S0_ckx, S1_ckx, S2_ckx, S3_ckx, S4_ckx, S5_ckx, S6_ckx, S7_ckx, S8_ckx, S9_ckx, S10_ckx, S11_ckx, S12_ckx, S13_ckx, S14_ckx, S15_ckx };
            Set_btn = new Button[16] { S0_btn, S1_btn, S2_btn, S3_btn, S4_btn, S5_btn, S6_btn, S7_btn, S8_btn, S9_btn, S10_btn, S11_btn, S12_btn, S13_btn, S14_btn, S15_btn };
            Start_btn = new Button[16] { ST0_btn, ST1_btn, ST2_btn, ST3_btn, ST4_btn, ST5_btn, ST6_btn, ST7_btn, ST8_btn, ST9_btn, ST10_btn, ST11_btn, ST12_btn, ST13_btn, ST14_btn, ST15_btn };
            PWM_txt = new TextBox[16] { O0_txt, O1_txt, O2_txt, O3_txt, O4_txt, O5_txt, O6_txt, O7_txt, O8_txt, O9_txt, O10_txt, O11_txt, O12_txt, O13_txt, O14_txt, O15_txt };
            State_btn = new Button[16] { DI0_btn, DI1_btn, DI2_btn, DI3_btn, DI4_btn, DI5_btn, DI6_btn, DI7_btn, DI8_btn, DI9_btn, DI10_btn, DI11_btn, DI12_btn, DI13_btn, DI14_btn, DI15_btn };
            for (i = 0; i < 16; ++i)
            {
                Mode_cbx[i].SelectedIndex = 1;
            }
        }
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            Int16 i = 0;
            base.OnNavigatedTo(e);
            slot = (Int16)e.Parameter;
        }

        //private void SYNC_ckx_Click(object sender, RoutedEventArgs e)
        //{
        //    Int16 i = 0;
        //    Int16 ch = 0;
        //    CheckBox ckb = sender as CheckBox;
        //    for (i = 0; i < 16; ++i)
        //    {
        //        if (ckb.Name == SYNC_ckb[i].Name)
        //        {
        //            ch = i;
        //            obj0_txt.Text = ckb.Name;
        //            break;
        //        }
        //    }
        //    if (ckb.IsChecked.Value == true)
        //    {
        //        pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
        //    }
        //    else
        //    {
        //        pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
        //    }
        //}

        //private void Set_btn_Click(object sender, RoutedEventArgs e)
        //{
        //    Int16 i = 0;
        //    Int16 ch = 0;
        //    Button btn = sender as Button;
        //    for (i = 0; i < 16; ++i)
        //    {
        //        if (btn.Name == Set_btn[i].Name)
        //        {
        //            ch = i;
        //            obj1_txt.Text = btn.Name + "  " + Set_btn[i].Name;
        //            break;
        //        }
        //    }
        //    pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
        //    pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
        //    pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[i].Text), UInt16.Parse(Duty_txt[ch].Text));
        //}

        //private void Start_btn_Click(object sender, RoutedEventArgs e)
        //{
        //    Int16 i = 0;
        //    Int16 ch = 0;
        //    Button btn = sender as Button;
        //    for (i = 0; i < 16; ++i)
        //    {
        //        if (btn.Name == Start_btn[i].Name)
        //        {
        //            ch = i;
        //            obj2_txt.Text = btn.Name;
        //            break;
        //        }
        //    }
        //    obj4_txt.Text = "Output " + ch.ToString() + "  " + btn.Name;
        //    if (btn.Content.ToString() == "Start")
        //    {
        //        pac8088WNet.pac8088W.PWM_Start(slot, ch);
        //        btn.Content = "Stop";
        //    }
        //    else
        //    {
        //        pac8088WNet.pac8088W.PWM_Stop(slot, ch);
        //        btn.Content = "Start";
        //    }
        //}

        private void SYNC_btn_Click(object sender, RoutedEventArgs e)
        {
            Button btn = sender as Button;
            if (btn.Content.ToString() == "SYNC Start")
            {
                pac8088WNet.pac8088W.Sync_Start(slot);
                btn.Content = "SYNC Stop";
            }
            else
            {
                pac8088WNet.pac8088W.Sync_Stop(slot);
                btn.Content = "SYNC Start";
            }
        }

        //private void Read_btn_Click(object sender, RoutedEventArgs e)
        //{
        //    Int16 i = 0;
        //    Int16 ch = 0;
        //    Button btn = sender as Button;
        //    Int16 pwmState = 0;
        //    Int16[] pwmBitArr = new Int16[16];
        //    for (i = 0; i < 16; ++i)
        //    {
        //        if (btn.Name == State_btn[i].Name)
        //        {
        //            ch = i;
        //            obj3_txt.Text = btn.Name;
        //            break;
        //        }
        //    }
        //    pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
        //    if (pwmBitArr[ch] == 1)
        //    {
        //        PWM_txt[ch].Text = "ON";
        //    }
        //    else
        //    {
        //        PWM_txt[ch].Text = "OFF";
        //    }
        //}

        private void S0_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 0;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S1_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 1;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S2_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 2;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S3_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 3;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S4_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 4;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S5_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 5;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S6_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 6;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S7_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 7;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S8_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 8;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S9_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 9;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S10_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 10;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S11_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 11;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S12_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 12;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S13_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 13;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S14_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 14;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S15_ckx_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 15;
            CheckBox ckb = sender as CheckBox;
            if (ckb.IsChecked.Value == true)
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 1);
            }
            else
            {
                pac8088WNet.pac8088W.SetSyncChannel(slot, ch, 0);
            }
        }

        private void S0_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 0;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));
        }

        private void S1_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 1;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));
        }

        private void S2_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 2;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));
        }

        private void S3_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 3;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));
        }

        private void S4_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 4;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));
        }

        private void S5_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 5;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));
        }

        private void S6_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 6;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));
        }

        private void S7_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 7;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));

        }

        private void S8_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 8;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));
        }

        private void S9_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 9;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));

        }

        private void S10_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 10;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));

        }

        private void S11_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 11;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));

        }

        private void S12_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 12;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));

        }

        private void S13_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 13;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));

        }

        private void S14_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 14;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));

        }

        private void S15_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 15;
            Button btn = sender as Button;
            pac8088WNet.pac8088W.SetPWMCountMode(slot, ch, (byte)Mode_cbx[ch].SelectedIndex);
            pac8088WNet.pac8088W.SetBurstCount(slot, ch, UInt16.Parse(Burst_txt[ch].Text));
            pac8088WNet.pac8088W.SetPWMDuty(slot, ch, UInt32.Parse(FREQ_txt[ch].Text), UInt16.Parse(Duty_txt[ch].Text));

        }

        private void ST0_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 0;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }
        }

        private void ST1_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 1;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST2_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 2;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST3_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 3;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST4_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 4;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST5_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 5;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST6_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 6;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST7_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 7;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST8_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 8;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST9_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 9;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST10_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 10;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST11_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 11;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST12_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 12;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST13_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 13;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST14_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 14;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void ST15_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 15;
            Button btn = sender as Button;
            if (btn.Content.ToString() == "Start")
            {
                pac8088WNet.pac8088W.PWM_Start(slot, ch);
                btn.Content = "Stop";
            }
            else
            {
                pac8088WNet.pac8088W.PWM_Stop(slot, ch);
                btn.Content = "Start";
            }

        }

        private void DI0_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 0;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI1_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 1;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI2_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 2;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI3_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 3;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI4_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 4;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI5_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 5;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI6_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 6;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI7_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 7;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI8_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 8;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI9_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 9;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI10_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 10;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI11_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 11;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI12_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 12;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI13_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 13;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI14_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 14;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }

        private void DI15_btn_Click(object sender, RoutedEventArgs e)
        {
            Int16 ch = 15;
            Button btn = sender as Button;
            Int32 pwmState = 0;
            Int32[] pwmBitArr = new Int32[16];
            pac8088WNet.pac8088W.GetPWMActiveState(slot, ref pwmState, pwmBitArr);
            if (pwmBitArr[ch] == 1)
            {
                PWM_txt[ch].Text = "ON";
            }
            else
            {
                PWM_txt[ch].Text = "OFF";
            }
        }
    }
}
